org.modeshape.jdbc.metadata

## Interface JDBCColumnPositions.COLUMNS

- Enclosing interface:
    JDBCColumnPositions

      public static interface JDBCColumnPositions.COLUMNS

  This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData. The class has constants for columns whose values are to be hardcoded in MMDatabaseMetaData object. `MAX_COLUMNS` is the number of columns to be read from server's results from getElements method on `Metadata object`. `JAVA_CLASS` is the column position for element data type on server's Results object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUFFER_LENGTH` Position of column that is not used will contain nulls
    `static int` | `CHAR_OCTET_LENGTH`
    `static int` | `COLUMN_DEF`
    `static int` | `COLUMN_NAME`
    `static int` | `COLUMN_SIZE`
    `static int` | `DATA_TYPE` Position of column that contains SQL type from java.sql.Types for column's data type.
    `static int` | `DECIMAL_DIGITS`
    `static int` | `IS_AUTOINCREMENT`
    `static int` | `IS_NULLABLE` Position of column that has an String value indicating nullablity
    `static int` | `MAX_COLUMNS` Number of columns to be read from results returned getElements method.
    `static int` | `NULLABLE` Position of column that has an int value indicating nullablity
    `static int` | `NUM_PREC_RADIX`
    `static int` | `ORDINAL_POSITION`
    `static int` | `REMARKS` Position of column containing explanatory notes.
    `static int` | `SCOPE_CATALOG`
    `static int` | `SCOPE_SCHEMA`
    `static int` | `SCOPE_TABLE`
    `static int` | `SOURCE_DATA_TYPE`
    `static int` | `SQL_DATA_TYPE` Position of column that not used will contain nulls
    `static int` | `SQL_DATETIME_SUB` Position of column that not used will contain nulls
    `static int` | `TABLE_CAT` Position of column that contains catalog name in which the table for the column is present.
    `static int` | `TABLE_NAME`
    `static int` | `TABLE_SCHEM`
    `static int` | `TYPE_NAME` Position of column that contains local type name used by the data source.

- - ### Field Detail

    - #### MAX_COLUMNS

          static final int MAX_COLUMNS

      Number of columns to be read from results returned getElements method.
      See Also:
        Constant Field Values

    - #### TABLE_CAT

          static final int TABLE_CAT

      Position of column that contains catalog name in which the table for the column is present.
      See Also:
        Constant Field Values

    - #### TABLE_SCHEM

          static final int TABLE_SCHEM

      See Also:
        Constant Field Values

    - #### TABLE_NAME

          static final int TABLE_NAME

      See Also:
        Constant Field Values

    - #### COLUMN_NAME

          static final int COLUMN_NAME

      See Also:
        Constant Field Values

    - #### DATA_TYPE

          static final int DATA_TYPE

      Position of column that contains SQL type from java.sql.Types for column's data type.
      See Also:
        Constant Field Values

    - #### TYPE_NAME

          static final int TYPE_NAME

      Position of column that contains local type name used by the data source.
      See Also:
        Constant Field Values

    - #### COLUMN_SIZE

          static final int COLUMN_SIZE

      See Also:
        Constant Field Values

    - #### BUFFER_LENGTH

          static final int BUFFER_LENGTH

      Position of column that is not used will contain nulls
      See Also:
        Constant Field Values

    - #### DECIMAL_DIGITS

          static final int DECIMAL_DIGITS

      See Also:
        Constant Field Values

    - #### NUM_PREC_RADIX

          static final int NUM_PREC_RADIX

      See Also:
        Constant Field Values

    - #### NULLABLE

          static final int NULLABLE

      Position of column that has an int value indicating nullablity
      See Also:
        Constant Field Values

    - #### REMARKS

          static final int REMARKS

      Position of column containing explanatory notes.
      See Also:
        Constant Field Values

    - #### COLUMN_DEF

          static final int COLUMN_DEF

      See Also:
        Constant Field Values

    - #### SQL_DATA_TYPE

          static final int SQL_DATA_TYPE

      Position of column that not used will contain nulls
      See Also:
        Constant Field Values

    - #### SQL_DATETIME_SUB

          static final int SQL_DATETIME_SUB

      Position of column that not used will contain nulls
      See Also:
        Constant Field Values

    - #### CHAR_OCTET_LENGTH

          static final int CHAR_OCTET_LENGTH

      See Also:
        Constant Field Values

    - #### ORDINAL_POSITION

          static final int ORDINAL_POSITION

      See Also:
        Constant Field Values

    - #### IS_NULLABLE

          static final int IS_NULLABLE

      Position of column that has an String value indicating nullablity
      See Also:
        Constant Field Values

    - #### SCOPE_CATALOG

          static final int SCOPE_CATALOG

      See Also:
        Constant Field Values

    - #### SCOPE_SCHEMA

          static final int SCOPE_SCHEMA

      See Also:
        Constant Field Values

    - #### SCOPE_TABLE

          static final int SCOPE_TABLE

      See Also:
        Constant Field Values

    - #### SOURCE_DATA_TYPE

          static final int SOURCE_DATA_TYPE

      See Also:
        Constant Field Values

    - #### IS_AUTOINCREMENT

          static final int IS_AUTOINCREMENT

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.